## ros-indigo-imagezero 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(imagezero)

find_package(catkin REQUIRED)

catkin_package(INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

set(iz_SRCS
    src/file.cpp
    src/libiz.cpp
    src/portableimage.cpp
    src/table.cpp
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_definitions(-DHAVE_MMAP)

execute_process(COMMAND uname -m COMMAND tr -d '\n' OUTPUT_VARIABLE ARCHITECTURE)

message(STATUS "Architecture: ${ARCHITECTURE}")

if(${ARCHITECTURE} STREQUAL "x86_64")
  set(ARCH_SPECIFIC_FLAGS "-mmmx -mtune=corei7-avx")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${ARCH_SPECIFIC_FLAGS} -Winline -W -Wall -fomit-frame-pointer -fno-rtti -fno-exceptions")
set(CMAKE_EXE_LINKER_FLAGS "-Wl,-O1,-s,--no-export-dynamic")

add_executable(image_zero
  ${iz_SRCS} 
  src/main.cpp
  )

add_library(${PROJECT_NAME} 
  ${iz_SRCS}
  )

install(TARGETS ${PROJECT_NAME} image_zero
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-imagezero (0.2.4-0trusty) trusty; urgency=high

  * Add documentation; build on Lunar (#12 <https://github.com/pjreed/imagezero_transport/issues/12>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 29 Sep 2017 05:00:00 -0000

ros-indigo-imagezero (0.2.3-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Oct 2016 05:00:00 -0000

ros-indigo-imagezero (0.2.2-0trusty) trusty; urgency=high

  * Don't use Intel-specific GCC flags on non-Intel platforms
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 05 Oct 2016 05:00:00 -0000

ros-indigo-imagezero (0.2.1-0trusty) trusty; urgency=high

  * No changes

 -- P. J. Reed <preed@swri.org>  Sat, 03 Sep 2016 05:00:00 -0000

ros-indigo-imagezero (0.2.0-0trusty) trusty; urgency=high

  * Initial public release
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 28 Aug 2016 05:00:00 -0000

ros-indigo-imagezero (0.1.0-0trusty) trusty; urgency=high

  * Initial revision
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 22 Sep 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-imagezero
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: https://github.com/swri-robotics/imagezero_transport
Standards-Version: 3.9.2

Package: ros-indigo-imagezero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: ImageZero is a fast lossless image compression algorithm for RGB color photos.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-imagezero//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
